unit Kohle2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    Edit1: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  Kapital, Zinsen, Prozent: Real;
  Nr, Laufzeit: Integer;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  inc (Nr);
  if Nr = 1 then
  begin
    Kapital := StrToFloat(Edit1.Text);
    if Kapital > 0 then
      Label1.Caption := 'Wie hoch soll der Zinssatz sein?'
    else
      dec (Nr);
    Edit1.Text := '';
    Edit1.SetFocus;
  end;
  if Nr = 2 then
  begin
    Prozent := StrtoFloat(Edit1.Text);
    if (Prozent > 0) then
    begin
      Laufzeit := 0;
      while Kapital < 1000000 do
      begin
        Zinsen := Kapital * Prozent / 100;
        Kapital := Kapital + Zinsen;
        inc (Laufzeit);
      end;
      if Laufzeit > 0 then
        Label1.Caption := 'Dein Geld muss ' + IntToStr(Laufzeit)
                       + ' Jahre auf der Bank braten'
      else
        Label1.Caption := 'Willkommen im Club der Millionäre!';
    end
    else
    begin
      dec (Nr);
      Edit1.Text := '';
      Edit1.SetFocus;
    end;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Nr := 0;
end;

end.
